Replace Group
PUT/Groups/{id}
Replaces all attributes of a group. Attributes not included in the request body are reset to their default values or removed.
Path Parameters
The unique identifier of the group.
Error Responses
Invalid request body or missing required fields.
Missing or invalid Authorization header.
SCIM provisioning not enabled or insufficient permissions.
Group not found.
Request
curl -X PUT "https://{your-domain}/api/scim/v2/Groups/{id}" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'Response — 200
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
"id": "e9e30dba-f08f-4109-8486-d5c6a331660a",
"displayName": "Engineering",
"members": [
{
"value": "2819c223-7f76-453a-919d-413861904646",
"display": "Barbara Jensen"
}
],
"meta": {
"resourceType": "Group",
"created": "2024-01-23T04:56:22Z",
"lastModified": "2024-05-13T04:42:34Z",
"location": "https://{your-domain}/api/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a"
}
}